load('data_big.mat')

kritFun=@(Param) krit_identifikace(Param,T,U,Y3);
Param=fminsearch(kritFun,[0.5 1000 10 0.5])
k=Param(1);
T1=Param(2);
T2=Param(3);
p=Param(4);
Uo=U;
M=tf(k,[T1*T2 T1+T2 1]);

for i=1:length(U)
    if U(i)>0, U(i)=U(i)*p; end
end 

Ym=lsim(M,U,T,'zoh')+Y3(1);
%Yp=lsim(M,Uo,T,'zoh')+Y3(1);

subplot(2,1,1), plot(T,Uo,T,U,'linewidth',2)
axis([T(1) T(length(T)) -5 5])
grid on
title('Odezva reln soustavy a modelu')
xlabel('{\itt}, s');
ylabel('{\itu}, V')
legend('u','u_p')
subplot(2,1,2), plot(T,Y3,T,Ym,'linewidth',2)
axis([T(1) T(length(T)) 1.85 2.5])
grid on
%title('')
legend('y_m_e_r','y_v_y_p')
xlabel('{\itt}, s');
ylabel('{\ity},V')



